Przeglądaj źródła

Normalize HAL/STM32 targets (#17904)

Jason Smith 4 lat temu
rodzic
commit
ba9a9bbe58
No account linked to committer's email address

+ 6
- 2
.github/workflows/test-builds.yml Wyświetl plik

@@ -52,13 +52,19 @@ jobs:
52 52
         - jgaurora_a5s_a1
53 53
         - STM32F103VE_longer
54 54
         - STM32F407VE_black
55
+        - STM32F401VE_STEVAL
56
+        - BIGTREE_BTT002
55 57
         - BIGTREE_SKR_PRO
56 58
         - BIGTREE_GTR_V1_0
57 59
         - mks_robin
58 60
         - ARMED
59 61
         - FYSETC_S6
62
+        - STM32F070RB_malyan
60 63
         - malyan_M300
61 64
         - mks_robin_lite
65
+        - FLYF407ZG
66
+        - rumba32_f446ve
67
+        - rumba32_mks
62 68
         - mks_robin_pro
63 69
 
64 70
         # Put lengthy tests last
@@ -72,8 +78,6 @@ jobs:
72 78
         #- STM32F7
73 79
 
74 80
         # Non-working environment tests
75
-
76
-        #- BIGTREE_BTT002
77 81
         #- at90usb1286_cdc
78 82
         #- at90usb1286_dfu
79 83
         #- STM32F103CB_malyan

+ 0
- 1
buildroot/share/PlatformIO/boards/BigTree_Btt002.json Wyświetl plik

@@ -14,7 +14,6 @@
14 14
         "0x3748"
15 15
       ]
16 16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18 17
     "mcu": "stm32f407vgt6",
19 18
     "variant": "BIGTREE_BTT002"
20 19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/BigTree_SKR_Pro.json Wyświetl plik

@@ -14,7 +14,6 @@
14 14
         "0x3748"
15 15
       ]
16 16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18 17
     "mcu": "stm32f407zgt6",
19 18
     "variant": "BIGTREE_SKR_PRO_1v1"
20 19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/FLYF407ZG.json Wyświetl plik

@@ -14,7 +14,6 @@
14 14
         "0x3748"
15 15
       ]
16 16
     ],
17
-    "ldscript": "stm32f407xg.ld",
18 17
     "mcu": "stm32f407zgt6",
19 18
     "variant": "FLY_F407ZG"
20 19
   },

+ 0
- 1
buildroot/share/PlatformIO/boards/blackSTM32F407VET6.json Wyświetl plik

@@ -14,7 +14,6 @@
14 14
         "0x3748"
15 15
       ]
16 16
     ],
17
-    "ldscript": "stm32f407xe.ld",
18 17
     "mcu": "stm32f407vet6",
19 18
     "variant": "MARLIN_F407VE"
20 19
   },

+ 4
- 1
buildroot/share/tests/ARMED-tests Wyświetl plik

@@ -9,8 +9,11 @@ set -e
9 9
 #
10 10
 # Build with the default configurations
11 11
 #
12
+restore_configs
12 13
 use_example_configs ArmEd
13
-exec_test $1 $2 "ArmEd Example Configuration"
14
+opt_set X_DRIVER_TYPE TMC2130
15
+opt_set Y_DRIVER_TYPE TMC2208
16
+exec_test $1 $2 "ArmEd Example Configuration with mixed TMC Drivers"
14 17
 
15 18
 # clean up
16 19
 restore_configs

+ 3
- 1
buildroot/share/tests/BIGTREE_GTR_V1_0-tests Wyświetl plik

@@ -21,7 +21,9 @@ opt_set TEMP_SENSOR_7 1
21 21
 opt_set E0_AUTO_FAN_PIN PC10
22 22
 opt_set E1_AUTO_FAN_PIN PC11
23 23
 opt_set E2_AUTO_FAN_PIN PC12
24
-exec_test $1 $2 "BigTreeTech GTR 8 Extruders with Auto-Fan"
24
+opt_set X_DRIVER_TYPE TMC2208
25
+opt_set Y_DRIVER_TYPE TMC2130
26
+exec_test $1 $2 "BigTreeTech GTR 8 Extruders with Auto-Fan and Mixed TMC Drivers"
25 27
 
26 28
 restore_configs
27 29
 opt_set MOTHERBOARD BOARD_BTT_GTR_V1_0

+ 2
- 1
buildroot/share/tests/BIGTREE_SKR_PRO-tests Wyświetl plik

@@ -23,9 +23,10 @@ opt_set TEMP_SENSOR_2 1
23 23
 opt_set E0_AUTO_FAN_PIN PC10
24 24
 opt_set E1_AUTO_FAN_PIN PC11
25 25
 opt_set E2_AUTO_FAN_PIN PC12
26
+opt_set BLTOUCH Z_SAFE_HOMING
26 27
 opt_set X_DRIVER_TYPE TMC2209
27 28
 opt_set Y_DRIVER_TYPE TMC2130
28
-exec_test $1 $2 "BigTreeTech SKR Pro 3 Extruders with Auto-Fan and mixed TMC drivers"
29
+exec_test $1 $2 "BigTreeTech SKR Pro 3 Extruders, Auto-Fan, BLTOUCH, and mixed TMC drivers"
29 30
 
30 31
 # clean up
31 32
 restore_configs

+ 18
- 0
buildroot/share/tests/FLYF407ZG-tests Wyświetl plik

@@ -0,0 +1,18 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for FLYF407ZG
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_FLYF407ZG
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2208
14
+opt_set Y_DRIVER_TYPE TMC2130
15
+exec_test $1 $2 "FLYF407ZG Default Config with mixed TMC Drivers"
16
+
17
+# cleanup
18
+restore_configs

+ 2
- 0
buildroot/share/tests/FYSETC_S6-tests Wyświetl plik

@@ -9,6 +9,8 @@ set -e
9 9
 # Build examples
10 10
 restore_configs
11 11
 use_example_configs FYSETC/S6
12
+opt_set Y_DRIVER_TYPE TMC2209
13
+opt_set Z_DRIVER_TYPE TMC2130
12 14
 exec_test $1 $2 "FYSETC S6 Example"
13 15
 
14 16
 # cleanup

+ 15
- 0
buildroot/share/tests/STM32F070RB_malyan-tests Wyświetl plik

@@ -0,0 +1,15 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F070RB Malyan M200 v2
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+restore_configs
10
+opt_set MOTHERBOARD BOARD_MALYAN_M200_V2
11
+opt_set SERIAL_PORT -1
12
+exec_test $1 $2 "Malyan M200 v2 Default Config"
13
+
14
+# cleanup
15
+restore_configs

+ 16
- 0
buildroot/share/tests/STM32F401VE_STEVAL-tests Wyświetl plik

@@ -0,0 +1,16 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F401VE_STEVAL
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_STEVAL_3DP001V1
12
+opt_set SERIAL_PORT -1
13
+exec_test $1 $2 "STM32F401VE_STEVAL Default Config"
14
+
15
+# cleanup
16
+restore_configs

+ 1
- 0
buildroot/share/tests/STM32F407VE_black-tests Wyświetl plik

@@ -6,6 +6,7 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+restore_configs
9 10
 use_example_configs STM32/Black_STM32F407VET6
10 11
 opt_enable BAUD_RATE_GCODE
11 12
 exec_test $1 $2 "Full-featured Sample Black STM32F407VET6 config"

+ 1
- 0
buildroot/share/tests/malyan_M300-tests Wyświetl plik

@@ -6,6 +6,7 @@
6 6
 # exit on first failure
7 7
 set -e
8 8
 
9
+restore_configs
9 10
 use_example_configs "delta/Malyan M300"
10 11
 opt_disable AUTO_BED_LEVELING_3POINT
11 12
 exec_test $1 $2 "Malyan M300 (delta)"

+ 17
- 0
buildroot/share/tests/rumba32_f446ve-tests Wyświetl plik

@@ -0,0 +1,17 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for rumba32_f446ve
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_RUMBA32_AUS3D
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2130
14
+exec_test $1 $2 "rumba32_f446ve Default Config with TMC2130"
15
+
16
+# cleanup
17
+restore_configs

+ 18
- 0
buildroot/share/tests/rumba32_mks-tests Wyświetl plik

@@ -0,0 +1,18 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for rumba32_mks
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+# Build examples
10
+restore_configs
11
+opt_set MOTHERBOARD BOARD_RUMBA32_MKS
12
+opt_set SERIAL_PORT -1
13
+opt_set X_DRIVER_TYPE TMC2130
14
+opt_set Y_DRIVER_TYPE TMC2208
15
+exec_test $1 $2 "rumba32_mks Default Config with Mixed TMC Drivers"
16
+
17
+# cleanup
18
+restore_configs

+ 21
- 13
platformio.ini Wyświetl plik

@@ -21,6 +21,7 @@ boards_dir   = buildroot/share/PlatformIO/boards
21 21
 default_envs = mega2560
22 22
 
23 23
 [common]
24
+arduinoststm32_ver = >=4.10700,<4.10800
24 25
 default_src_filter = +<src/*> -<src/config> -<src/HAL> +<src/HAL/shared>
25 26
 extra_scripts = pre:buildroot/share/PlatformIO/scripts/common-cxxflags.py
26 27
 build_flags = -fmax-errors=5 -g -D__MARLIN_FIRMWARE__ -fmerge-all-constants
@@ -470,6 +471,7 @@ src_filter    = ${common.default_src_filter} +<src/HAL/STM32_F4_F7> -<src/HAL/ST
470 471
 #
471 472
 [env:ARMED]
472 473
 platform      = ststm32
474
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
473 475
 board         = armed_v1
474 476
 build_flags   = ${common.build_flags}
475 477
   -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC
@@ -638,12 +640,14 @@ lib_ignore  = LiquidCrystal, LiquidTWI2, Adafruit NeoPixel, TMCStepper, U8glib-H
638 640
 #
639 641
 [env:STM32F070RB_malyan]
640 642
 platform    = ststm32
643
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
641 644
 board       = malyanM200v2
642 645
 build_flags = -DSTM32F0xx -DUSBCON -DUSBD_VID=0x0483 '-DUSB_MANUFACTURER="Unknown"' '-DUSB_PRODUCT="ARMED_V1"' -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED
643 646
   -O2 -ffreestanding -fsigned-char -fno-move-loop-invariants -fno-strict-aliasing -std=gnu11 -std=gnu++11
647
+  -DCUSTOM_STARTUP_FILE
644 648
   -IMarlin/src/HAL/STM32
645 649
 src_filter  = ${common.default_src_filter} +<src/HAL/STM32>
646
-lib_ignore  = LiquidCrystal, LiquidTWI2, Adafruit NeoPixel, TMCStepper, U8glib-HAL
650
+lib_ignore  = LiquidCrystal, LiquidTWI2, Adafruit NeoPixel, TMCStepper, U8glib-HAL, SoftwareSerial
647 651
 
648 652
 #
649 653
 # Malyan M300 (STM32F070CB)
@@ -676,8 +680,8 @@ lib_ignore    = Adafruit NeoPixel
676 680
 #
677 681
 [env:STM32F401VE_STEVAL]
678 682
 platform          = ststm32
683
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
679 684
 board             = STEVAL_STM32F401VE
680
-platform_packages = framework-arduinoststm32@>=3.10700,<4
681 685
 build_flags       = ${common.build_flags}
682 686
   -DTARGET_STM32F4 -DARDUINO_STEVAL -DSTM32F401xE
683 687
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STEVAL_F401VE\"
@@ -694,15 +698,15 @@ src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
694 698
 #
695 699
 [env:FLYF407ZG]
696 700
 platform          = ststm32
701
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
697 702
 board             = FLYF407ZG
698
-platform_packages = framework-arduinoststm32@>=3.10700,<4
699 703
 build_flags       = ${common.build_flags}
700 704
   -DSTM32F4 -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
701 705
   -DTARGET_STM32F4 -DVECT_TAB_OFFSET=0x8000
702 706
   -IMarlin/src/HAL/STM32
703 707
 build_unflags     = -std=gnu++11
704 708
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
705
-lib_ignore        = Adafruit NeoPixel, TMCStepper, SailfishLCD, SlowSoftI2CMaster, SoftwareSerial
709
+lib_ignore        = Adafruit NeoPixel, SailfishLCD, SlowSoftI2CMaster, SoftwareSerial
706 710
 src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
707 711
 
708 712
 
@@ -711,10 +715,10 @@ src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
711 715
 #
712 716
 [env:FYSETC_S6]
713 717
 platform          = ststm32
714
-board             = fysetc_s6
715 718
 platform_packages =
716 719
    tool-stm32duino
717
-   framework-arduinoststm32@>=3.10700,<4
720
+   framework-arduinoststm32@${common.arduinoststm32_ver}
721
+board             = fysetc_s6
718 722
 build_flags       = ${common.build_flags}
719 723
   -DTARGET_STM32F4 -std=gnu++14
720 724
   -DVECT_TAB_OFFSET=0x10000
@@ -735,8 +739,8 @@ upload_protocol   = serial
735 739
 #
736 740
 [env:STM32F407VE_black]
737 741
 platform          = ststm32
742
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
738 743
 board             = blackSTM32F407VET6
739
-platform_packages = framework-arduinoststm32@>=3.10700,<4
740 744
 build_flags       = ${common.build_flags}
741 745
   -DTARGET_STM32F4 -DARDUINO_BLACK_F407VE
742 746
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"BLACK_F407VE\"
@@ -752,8 +756,8 @@ src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
752 756
 #
753 757
 [env:BIGTREE_SKR_PRO]
754 758
 platform          = ststm32
759
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
755 760
 board             = BigTree_SKR_Pro
756
-platform_packages = framework-arduinoststm32@>=3.10700,<4
757 761
 build_flags       = ${common.build_flags}
758 762
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407ZG\"
759 763
   -DTARGET_STM32F4 -DSTM32F407_5ZX -DVECT_TAB_OFFSET=0x8000
@@ -772,7 +776,7 @@ debug_init_break  =
772 776
 #
773 777
 [env:BIGTREE_GTR_V1_0]
774 778
 platform          = ststm32@>=5.7.0
775
-platform_packages = framework-arduinoststm32@>=3.10700,<4
779
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
776 780
 board             = BigTree_SKR_Pro
777 781
 extra_scripts     = pre:buildroot/share/PlatformIO/scripts/generic_create_variant.py
778 782
 build_flags       = ${common.build_flags}
@@ -794,8 +798,8 @@ src_filter        = ${common.default_src_filter} +<src/HAL/STM32>
794 798
 #
795 799
 [env:BIGTREE_BTT002]
796 800
 platform          = ststm32@5.6.0
801
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
797 802
 board             = BigTree_Btt002
798
-platform_packages = framework-arduinoststm32@>=3.10700,<4
799 803
 build_flags       = ${common.build_flags}
800 804
   -DUSBCON -DUSBD_USE_CDC -DUSBD_VID=0x0483 -DUSB_PRODUCT=\"STM32F407VG\"
801 805
   -DTARGET_STM32F4 -DSTM32F407_5VX -DVECT_TAB_OFFSET=0x8000
@@ -883,6 +887,7 @@ debug_tool     = jlink
883 887
 #
884 888
 [env:rumba32_f446ve]
885 889
 platform      = ststm32
890
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
886 891
 board         = rumba32_f446ve
887 892
 build_flags   = ${common.build_flags}
888 893
   -DSTM32F4xx
@@ -899,7 +904,8 @@ build_flags   = ${common.build_flags}
899 904
   -DDISABLE_GENERIC_SERIALUSB
900 905
   -DHAL_UART_MODULE_ENABLED
901 906
   -Os
902
-lib_ignore    = Adafruit NeoPixel
907
+  -IMarlin/src/HAL/STM32
908
+lib_ignore    = Adafruit NeoPixel, SoftwareSerial
903 909
 src_filter    = ${common.default_src_filter} +<src/HAL/STM32>
904 910
 monitor_speed = 500000
905 911
 upload_protocol = dfu
@@ -909,6 +915,7 @@ upload_protocol = dfu
909 915
 #
910 916
 [env:rumba32_mks]
911 917
 platform      = ststm32
918
+platform_packages = framework-arduinoststm32@${common.arduinoststm32_ver}
912 919
 board         = rumba32_f446ve
913 920
 build_flags   = ${common.build_flags}
914 921
   -DSTM32F4xx -DARDUINO_RUMBA32_F446VE -DARDUINO_ARCH_STM32 "-DBOARD_NAME=\"RUMBA32_F446VE\""
@@ -920,8 +927,9 @@ build_flags   = ${common.build_flags}
920 927
   -DDISABLE_GENERIC_SERIALUSB
921 928
   -DHAL_UART_MODULE_ENABLED
922 929
   -Os
923
-lib_ignore    = Adafruit NeoPixel
924
-src_filter    = ${common.default_src_filter} +<src/HAL/STM32> +<src/HAL/STM32_F4_F7> -<src/HAL/STM32_F4_F7/STM32F7>
930
+  -IMarlin/src/HAL/STM32
931
+lib_ignore    = Adafruit NeoPixel, SoftwareSerial
932
+src_filter    = ${common.default_src_filter} +<src/HAL/STM32>
925 933
 upload_protocol = dfu
926 934
 
927 935
 #

Ładowanie…
Anuluj
Zapisz